<?php
/*
 * This file is part of the CampaignChain package.
 *
 * (c) Sandro Groganz <sandro@campaignchain.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace CampaignChain\CoreBundle\Menu;

use Knp\Menu\FactoryInterface;
use Symfony\Component\DependencyInjection\ContainerAware;

class Builder extends ContainerAware
{
    public function leftNavbarMenu(FactoryInterface $factory, array $options)
    {
        $menu = $factory->createItem('root');

//        $menu->addChild('Dashboards', array('route' => 'campaignchain_core_dashboard'));
        $menu->addChild('Plan', array('route' => 'campaignchain_core_plan'));
        $menu->addChild('Execute')
            ->addChild('Campaigns', array('route' => 'campaignchain_core_campaign'))
            ->addChild('Milestones', array('route' => 'campaignchain_core_milestone'))
            ->addChild('Activities', array('route' => 'campaignchain_core_activities'));
        $menu->addChild('Monitor', array('route' => 'campaignchain_core_report'));

        return $menu;
    }

    public function planListTab(FactoryInterface $factory, array $options)
    {
        $menu = $factory->createItem('root');

        $menu->addChild('Timeline', array('route' => 'campaignchain_core_plan'));
        $menu->addChild('Calendar', array('route' => 'campaignchain_core_plan_calendar'));

        return $menu;
    }

    public function campaignListTab(FactoryInterface $factory, array $options)
    {
        $menu = $factory->createItem('root');

        $menu->addChild('List', array('route' => 'campaignchain_core_campaign'));

        return $menu;
    }

    public function activityListTab(FactoryInterface $factory, array $options)
    {
        $menu = $factory->createItem('root');

        $menu->addChild('List', array('route' => 'campaignchain_core_activities'));
        //$menu->addChild('GANTT', array('route' => 'campaignchain_core_activities_gantt'));

        return $menu;
    }

    public function profileListTab(FactoryInterface $factory, array $options)
    {
        $menu = $factory->createItem('root');

        $menu->addChild('Settings', array('route' => 'campaignchain_core_profile_edit'));
        $menu->addChild('Password', array('route' => 'fos_user_change_password'));

        return $menu;
    }

    public function userListTab(FactoryInterface $factory, array $options)
    {
        $menu = $factory->createItem('root');

        $menu->addChild('List', array('route' => 'campaignchain_core_user'));

        return $menu;
    }
}